import { publishUserEvent, publishUserListStream } from "../stream.js";
import { UserListJoinings, Users } from "../../models/index.js";
import { genId } from "../../misc/gen-id.js";
export async function pushUserToUserList(target, list) {
    await UserListJoinings.insert({
        id: genId(),
        createdAt: new Date(),
        userId: target.id,
        userListId: list.id
    });
    const packed = await Users.pack(target);
    publishUserListStream(list.id, "userAdded", packed);
    if (list.hideFromHomeTl) publishUserEvent(list.userId, "userHidden", target.id);
}
